cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
Webhook ID,格式 wep_<ULID>
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Webhook's description, callback URL, or subscribed events
curl --request PUT \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/webhook_endpoints/{id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "生产环境 Agent 与 Session 事件",
"url": "https://example.com/managedagent/webhooks-v2",
"events": [
"agent.updated",
"session.status_idled"
]
}
'{
"id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
"description": "生产环境 Agent 与 Session 事件",
"url": "https://example.com/managedagent/webhooks-v2",
"events": [
"agent.updated",
"session.status_idled"
],
"status": "ACTIVE",
"disabled_reason": null,
"consecutive_fail": 2,
"last_success_at": "2026-08-06T10:05:00Z",
"last_failure_at": "2026-08-06T10:10:00Z",
"created_at": "2026-08-06T10:00:00Z",
"updated_at": "2026-08-06T10:15:00Z",
"request_id": "8e1d16e4"
}DashScope API Key
Webhook ID,格式 wep_<ULID>
curl --request PUT \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/webhook_endpoints/{id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "生产环境 Agent 与 Session 事件",
"url": "https://example.com/managedagent/webhooks-v2",
"events": [
"agent.updated",
"session.status_idled"
]
}
'{
"id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
"description": "生产环境 Agent 与 Session 事件",
"url": "https://example.com/managedagent/webhooks-v2",
"events": [
"agent.updated",
"session.status_idled"
],
"status": "ACTIVE",
"disabled_reason": null,
"consecutive_fail": 2,
"last_success_at": "2026-08-06T10:05:00Z",
"last_failure_at": "2026-08-06T10:10:00Z",
"created_at": "2026-08-06T10:00:00Z",
"updated_at": "2026-08-06T10:15:00Z",
"request_id": "8e1d16e4"
}